System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.ICloneable System.IDisposable System.Runtime.Serialization.ISerializable System.ComponentModel.ImmutableObject(true) System.ComponentModel.TypeConverter(typeof(System.Drawing.ImageConverter)) System.ComponentModel.Editor("System.Drawing.Design.ImageEditor, System.Drawing.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.Drawing.Design.UITypeEditor)) System.Runtime.InteropServices.ComVisible(true)

To draw an on a Windows Form, you should use one of the methods.

An abstract base class that provides functionality for the and descended classes.

- Method
  System.Object To be added

  Creates an exact copy of this .

  The this method creates, cast as an object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Calling the method allows the resources used by this to be reallocated for other purposes.

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by this .

  This method does not return a value.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The integer value returned from this method will correspond to a sum of , as described in the following table.

  ImageFlag value

  Integer representation

  ImageFlagsNone

  0

  ImageFlagsScalable

  1

  ImageFlagsHasAlpha

  2

  ImageFlagsHasTranslucent

  4

  ImageFlagsPartiallyScalable

  8

  ImageFlagsColorSpaceRGB

  16

  ImageFlagsColorSpaceCMYK

  32

  ImageFlagsColorSpaceGRAY

  64

  ImageFlagsColorSpaceYCBCR

  128

  ImageFlagsColorSpaceYCCK

  256

  ImageFlagsHasRealDPI

  4096

  ImageFlagsHasRealPixelSize

  8192

  ImageFlagsReadOnly

  65536

  ImageFlagsCaching

  131072

  For example, if the property for an image returned 77960, the for the image would be , , , , and .

  Gets attribute flags for the pixel data of this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.Guid[] To be added: an object of type 'Guid []'

  This method returns information about multiple-frame images, which come in two styles: multiple page and multiple resolution.

  A multiple-page image is an image that contains more than one image. Each page contains a single image (or frame). These pages (or images, or frames) are typically displayed in succession to produce an animated sequence, such as an animated .gif file.

  A multiple-resolution image is an image that contains more than one copy of an image at different resolutions. This is commonly used by MIP mapping where the displayed image size determines the resolution of the image used for drawing. ndptecgdiplus can support an arbitrary number of pages (or images, or frames), as well as an arbitrary number of resolutions. The defined dimensions are properties of the .

  Gets an array of GUIDs that represent the dimensions of frames within this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Method
  System.Drawing.Image ``

  Managed GDI+ has built-in encoders and decoders that support the following file types:

  BMP

  GIF

  JPEG

  PNG

  TIFF

  The file remains locked until the is disposed.

  If the file does not have a valid image format or if ndptecgdiplus does not support the pixel format of the file, this method throws an exception.

  The class does not support alpha transparency in bitmaps. To enable alpha transparency, use PNG images with 32 bits per pixel.

  Creates an from the specified file.

  The this method creates.

  A string that contains the name of the file from which to create the . 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Image `` ``

  Managed GDI+ has built-in encoders and decoders that support the following file types:

  BMP

  GIF

  JPEG

  PNG

  TIFF

  If the file does not have a valid image format or if ndptecgdiplus does not support the pixel format of the file, this method throws an exception.

  The file remains locked until the is disposed.

  The parameter specifies whether the new applies color correction according to color management information that is embedded in the image file. Embedded information can include International Color Consortium (ICC) profiles, gamma values, and chromaticity information.

  The class does not support alpha transparency in bitmaps. To enable alpha transparency, use PNG images with 32 bits per pixel.

  Creates an from the specified file using embedded color management information in that file.

  The this method creates.

  A string that contains the name of the file from which to create the . Set to true to use color management information embedded in the image file; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Bitmap ``

  The method makes a copy of the ndptecgdi bitmap; so you can release the incoming ndptecgdi bitmap using the ndptecgdi DeleteObject method immediately after creating the new .

  Creates a from a handle to a GDI bitmap.

  The this method creates.

  The ndptecgdi bitmap handle from which to create the . 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Bitmap `` ``

  The method makes a copy of the ndptecgdi bitmap; so you can release the incoming ndptecgdi bitmap using the ndptecgdi DeleteObject method immediately after creating the new .

  Creates a from a handle to a GDI bitmap and a handle to a GDI palette.

  The this method creates.

  The ndptecgdi bitmap handle from which to create the . A handle to a ndptecgdi palette used to define the bitmap colors if the bitmap specified in the parameter is not a device-independent bitmap (DIB). 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Image ``

  You must keep the stream open for the lifetime of the .

  The stream is reset to zero if this method is called successively with the same stream.

  The class does not support alpha transparency in bitmaps. To enable alpha transparency, use PNG images with 32 bits per pixel.

  Creates an from the specified data stream.

  The this method creates.

  A that contains the data for this . 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Image `` ``

  You must keep the stream open for the lifetime of the .

  The parameter specifies whether the new applies color correction according to color management information that is embedded in the data stream. Embedded information can include International Color Consortium (ICC) profiles, gamma values, and chromaticity information.

  The stream is reset to zero if this method is called successively with the same stream.

  The class does not support alpha transparency in bitmaps. To enable alpha transparency, use PNG images with 32 bits per pixel.

  Creates an from the specified data stream, optionally using embedded color management information in that stream.

  The this method creates.

  A that contains the data for this . true to use color management information embedded in the data stream; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Drawing.Image `` `` ``

  The parameter specifies whether the new applies color correction according to color management information that is embedded in the data stream. Embedded information can include International Color Consortium (ICC) profiles, gamma values, and chromaticity information.

  The class does not support alpha transparency in bitmaps. To enable alpha transparency, use PNG images with 32 bits per pixel.

  Creates an from the specified data stream, optionally using embedded color management information and validating the image data.

  The this method creates.

  A that contains the data for this . true to use color management information embedded in the data stream; otherwise, false. true to validate the image data; otherwise, false.
- Method
  System.Drawing.RectangleF `` To be added: an object of type 'GraphicsUnit&' To be added To be added: an object of type 'RectangleF' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Imaging.EncoderParameters `` To be added

  Returns information about the parameters supported by the specified image encoder.

  An that contains an array of objects. Each contains information about one of the parameters supported by the specified image encoder.

  A GUID that specifies the image encoder. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 ``

  This method returns information about multiple-frame images, which come in two styles: multiple page and multiple resolution.

  A multiple-page image is an image that contains more than one image. Each page contains a single image (or frame). These pages (or images, or frames) are typically displayed in succession to produce an animated sequence, such as an animated .gif file.

  A multiple-resolution image is an image that contains more than one copy of an image at different resolutions. This is commonly used by MIP mapping where the displayed image size determines the resolution of the image used for drawing. ndptecgdiplus can support an arbitrary number of pages (or images, or frames), as well as an arbitrary number of resolutions. The defined dimensions are properties of the .

  Returns the number of frames of the specified dimension.

  The number of frames in the specified dimension.

  A that specifies the identity of the dimension type. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Returns the color depth, in number of bits per pixel, of the specified pixel format.

  The color depth of the specified pixel format.

  The member that specifies the format for which to find the size. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Imaging.PropertyItem ``

  For a list of property item IDs and links to more information, see .

  It is difficult to set property items, because the class has no public constructors. One way to work around this restriction is to obtain a by retrieving the property value or calling the method of an that already has property items. Then you can set the fields of the and pass it to .

  Gets the specified property item from this .

  The this method gets.

  The ID of the property item to get. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Image `` `` `` `` To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'Image+GetThumbnailImageAbort' To be added: an object of type 'IntPtr' To be added To be added: an object of type 'Image' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the height, in pixels, of this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DefaultValue(false)
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets the horizontal resolution, in pixels per inch, of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Returns a value that indicates whether the pixel format for this contains alpha information.

  true if contains alpha information; otherwise, false.

  The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  The canonical pixel format indicates a pixel format of 32 bits per pixel. This format specifies 24-bit color depth and an 8-bit alpha channel.

  Returns a value that indicates whether the pixel format is 32 bits per pixel.

  true if is canonical; otherwise, false.

  The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Returns a value that indicates whether the pixel format is 64 bits per pixel.

  true if is extended; otherwise, false.

  The enumeration to test. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Imaging.ColorPalette To be added: an object of type 'Imaging.ColorPalette'

  This property returns a copy of the object used by this .

  Gets or sets the color palette used for this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.Drawing.SizeF To be added: an object of type 'SizeF'

  If the image is a bitmap, the width and height are returned in pixels. If the image is a metafile, the width and height are returned in 0.01 millimeter units.

  Gets the width and height of this image.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Imaging.PixelFormat To be added: an object of type 'Imaging.PixelFormat' To be added

  Gets the pixel format for this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32[] To be added: an object of type 'int []'

  If the image has no property items or if the image format does not support property items, the property returns an empty array (that is, an array of length zero).

  Gets IDs of the property items stored in this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.Drawing.Imaging.PropertyItem[] To be added: an object of type 'Imaging.PropertyItem []'

  If the image has no property items or if the image format does not support property items, returns an empty array (that is, an array of length zero).

  Gets all the property items (pieces of metadata) stored in this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.Drawing.Imaging.ImageFormat To be added: an object of type 'Imaging.ImageFormat' To be added

  Gets the file format of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  It is difficult to set property items, because the class has no public constructors. One way to work around this restriction is to obtain a by retrieving the property value or calling the method of an that already has property items. Then you can set the fields of the and pass it to .

  Removes the specified property item from this .

  The ID of the property item to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method rotates the image clockwise.

  If you wish to draw on an image once it has been rotated, you should always retrieve a new graphics object from the image, otherwise an exception could occur.

  Rotates, flips, or rotates and flips the .

  A member that specifies the type of rotation and flip to apply to the image. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If no encoder exists for the file format of the image, the Portable Network Graphics (PNG) encoder is used. When you use the method to save a graphic image as a Windows Metafile Format (WMF) or Enhanced Metafile Format (EMF) file, the resulting file is saved as a Portable Network Graphics (PNG) file. This behavior occurs because the ndptecgdiplus component of the dnprdnshort does not have an encoder that you can use to save files as .wmf or .emf files.

  Saving the image to the same file it was constructed from is not allowed and throws an exception.

  Saves this to the specified file or stream.

  A string that contains the name of the file to which to save this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  You should avoid saving an image to the same stream that was used to construct it. Doing so might damage the stream.

  The image must be saved to the stream at an offset of zero. If any additional data has been written to the stream before saving the image, the image data in the stream will be corrupted.

  Saves this image to the specified stream in the specified format.

  The where the image will be saved. An that specifies the format of the saved image. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Saves this to the specified file in the specified format.

  A string that contains the name of the file to which to save this . The for this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  Do not save an image to the same stream that was used to construct the image. Doing so might damage the stream.

  The image must be saved to the stream at an offset of zero. If any additional data has been written to the stream before saving the image, the image data in the stream will be corrupted.

  Saves this image to the specified stream, with the specified encoder and image encoder parameters.

  The where the image will be saved. The for this . An that specifies parameters used by the image encoder. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  Saving the image to the same file it was constructed from is not allowed and throws an exception.

  Saves this to the specified file, with the specified encoder and image-encoder parameters.

  A string that contains the name of the file to which to save this . The for this . An to use for this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Adds a frame to the file or stream specified in a previous call to the method. Use this method to save selected frames from a multiple-frame image to another multiple-frame image.

  This method does not return a value.

  An that holds parameters required by the image encoder that is used by the save-add operation. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Adds a frame to the file or stream specified in a previous call to the method.

  This method does not return a value.

  An that contains the frame to add. An that holds parameters required by the image encoder that is used by the save-add operation. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` ``

  The possible values of the parameter are properties of the . These can be used to identify an image by its time, resolution, or page number.

  Calling this method causes all changes made to the previous frame to be discarded. Before selecting another frame, save all changes made to the current frame, including changes to pixel values and properties. If the call to the method is successful (an exception does not occur), the method will return 0.

  Selects the frame specified by the dimension and index.

  Always returns 0.

  A that specifies the identity of the dimension type. The index of the active frame. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If the image format does not support property items, this method throws with the message "Property not supported." If the image format supports property items but does not support the particular property you are attempting to set, this method ignores the attempt but does not throw an exception.

  It is difficult to set property items, because the class has no public constructors. One way to work around this restriction is to obtain a by retrieving the property value or calling the method of an that already has property items. Then you can set the fields of the and pass it to .

  Stores a property item (piece of metadata) in this .

  This method does not return a value.

  The to be stored. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Size To be added: an object of type 'Size' To be added

  Gets the width and height, in pixels, of this image.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` `` To be added.

  Populates a with the data needed to serialize the target object.

  The to populate with data. The destination (see ) for this serialization.
- Property
  2.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.ComponentModel.StringConverter))
  System.ComponentModel.Bindable(true)
  System.ComponentModel.Localizable(false)
  System.ComponentModel.DefaultValue(null)
  System.Object To be added. To be added.

  Gets or sets an object that provides additional data about the image.

- Property
  System.Single To be added: an object of type 'float' To be added

  Gets the vertical resolution, in pixels per inch, of this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the width, in pixels, of this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DefaultValue(false)